Show / Hide Table of Contents

# Struct lua_State

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Lua

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct lua_State

### Methods

| Improve this Doc View Source

#### index2addr(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 41 8B D3")]
    public void *index2addr(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### lua_gettop()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? FF C7 03 F8")]
    public int lua_gettop()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_pcall(Int32, Int32, Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B D8 85 C0 74 6F")]
    public int lua_pcall(int nargs, int nresults, int errfunc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | nargs |
System.Int32 | nresults |
System.Int32 | errfunc |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_settop(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 83 EB 04")]
    public void lua_settop(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

| Improve this Doc View Source

#### lua_tolstring(Int32, Int32*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 80 38 23")]
    public byte *lua_tolstring(int idx, int *len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |
System.Int32* | len |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### lua_type(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 85 C0 7E 10")]
    public LuaType lua_type(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
LuaType |

| Improve this Doc View Source

#### luaL_loadbuffer(String, Int32, String)

##### Declaration

    [MemberFunction("48 83 EC 38 48 89 54 24 ?? 48 8D 15")]
    public int luaL_loadbuffer(string buff, int size, string name = "?")

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | buff |
System.Int32 | size |
System.String | name |

##### Returns

Type | Description
--- | ---
System.Int32 |